No more KDE's dolphin after upgrade to 6.5

classic Classic list List threaded Threaded
11 messages Options
Reply | Threaded
Open this post in threaded view
|

No more KDE's dolphin after upgrade to 6.5

Federico Giannici
Similarly to konsole, KDE's dolphin no longer works too after upgrade of
amd64 from 6.4 to 6.5.

It seems that dolphin was switched to KF5 too, ma I wasn't able to
install the new package:

casa:/home/giannici# pkg_add dolphin-kf5
quirks-3.124 signed on 2019-04-15T12:10:16Z
Can't install dolphin-kf5-18.12.0p2 because of conflicts
(dolphin-plugins-4.14.3p1)
--- dolphin-kf5-18.12.0p2 -------------------
Can't install dolphin-kf5-18.12.0p2: conflicts
Couldn't install dolphin-kf5-18.12.0p2

I cannot remove dolphin-plugins-4.14.3p1 because kdesdk depends on it,
and kde4 depends on kdesdk:

casa:/home/giannici# pkg_delete dolphin-plugins
can't delete dolphin-plugins-4.14.3p1 without deleting kdesdk-4.14.3p3
Delete them as well ? [y/N/a]

casa:/home/giannici# pkg_delete kdesdk
can't delete kdesdk-4.14.3p3 without deleting kde4-4.14.3p23
Delete them as well ? [y/N/a]


Without dolphin and konsole it's really hard to comfortably use KDE. So,
please can anybody tell me what is the supposed way to use dolphin (and
konsole) with OpenBSD 6.5?

Thanks.

Reply | Threaded
Open this post in threaded view
|

Re: No more KDE's dolphin after upgrade to 6.5

Rafael Sadowski
On Thu Apr 25, 2019 at 01:34:24PM +0200, Federico Giannici wrote:

> Similarly to konsole, KDE's dolphin no longer works too after upgrade of
> amd64 from 6.4 to 6.5.
>
> It seems that dolphin was switched to KF5 too, ma I wasn't able to install
> the new package:
>
> casa:/home/giannici# pkg_add dolphin-kf5
> quirks-3.124 signed on 2019-04-15T12:10:16Z
> Can't install dolphin-kf5-18.12.0p2 because of conflicts
> (dolphin-plugins-4.14.3p1)
> --- dolphin-kf5-18.12.0p2 -------------------
> Can't install dolphin-kf5-18.12.0p2: conflicts
> Couldn't install dolphin-kf5-18.12.0p2
>
> I cannot remove dolphin-plugins-4.14.3p1 because kdesdk depends on it, and
> kde4 depends on kdesdk:
>
> casa:/home/giannici# pkg_delete dolphin-plugins
> can't delete dolphin-plugins-4.14.3p1 without deleting kdesdk-4.14.3p3
> Delete them as well ? [y/N/a]
>
> casa:/home/giannici# pkg_delete kdesdk
> can't delete kdesdk-4.14.3p3 without deleting kde4-4.14.3p23
> Delete them as well ? [y/N/a]
>
>
> Without dolphin and konsole it's really hard to comfortably use KDE. So,
> please can anybody tell me what is the supposed way to use dolphin (and
> konsole) with OpenBSD 6.5?
>
> Thanks.
>

That was a hidden run-time dependency in the KDE4/KDESDK meta package.
I fixed this issue in -current ports tree. For -release I hope I can
help with a non official -- use at own risk -- workaround:

Use my own kde4-4.14.3p25 and kdesdk-4.14.3p4 packages:
env TRUSTED_PKG_PATH=https://sizeofvoid.org/pub/OpenBSD/fix-kde4-meta-65/:https://ftp.openbsd.org/pub/OpenBSD/6.5/packages/ pkg_add -u kdesdk kde4

If kde4-4.14.3p25 and/or kdesdk-4.14.3p4 was successfully installed you
can remove dolphin-plugins-4.14.3p1 without pain and install
dolphin-kf5-18.12.0 and dolphin-plugins-kf5-18.12.0.

Good luck!

RS

Reply | Threaded
Open this post in threaded view
|

Re: No more KDE's dolphin after upgrade to 6.5

Federico Giannici
On 4/26/19 4:10 PM, Rafael Sadowski wrote:

> On Thu Apr 25, 2019 at 01:34:24PM +0200, Federico Giannici wrote:
>> Similarly to konsole, KDE's dolphin no longer works too after upgrade of
>> amd64 from 6.4 to 6.5.
>>
>> It seems that dolphin was switched to KF5 too, ma I wasn't able to install
>> the new package:
>>
>> casa:/home/giannici# pkg_add dolphin-kf5
>> quirks-3.124 signed on 2019-04-15T12:10:16Z
>> Can't install dolphin-kf5-18.12.0p2 because of conflicts
>> (dolphin-plugins-4.14.3p1)
>> --- dolphin-kf5-18.12.0p2 -------------------
>> Can't install dolphin-kf5-18.12.0p2: conflicts
>> Couldn't install dolphin-kf5-18.12.0p2
>>
>> I cannot remove dolphin-plugins-4.14.3p1 because kdesdk depends on it, and
>> kde4 depends on kdesdk:
>>
>> casa:/home/giannici# pkg_delete dolphin-plugins
>> can't delete dolphin-plugins-4.14.3p1 without deleting kdesdk-4.14.3p3
>> Delete them as well ? [y/N/a]
>>
>> casa:/home/giannici# pkg_delete kdesdk
>> can't delete kdesdk-4.14.3p3 without deleting kde4-4.14.3p23
>> Delete them as well ? [y/N/a]
>>
>>
>> Without dolphin and konsole it's really hard to comfortably use KDE. So,
>> please can anybody tell me what is the supposed way to use dolphin (and
>> konsole) with OpenBSD 6.5?
>>
>> Thanks.
>>
>
> That was a hidden run-time dependency in the KDE4/KDESDK meta package.
> I fixed this issue in -current ports tree. For -release I hope I can
> help with a non official -- use at own risk -- workaround:
>
> Use my own kde4-4.14.3p25 and kdesdk-4.14.3p4 packages:
> env TRUSTED_PKG_PATH=https://sizeofvoid.org/pub/OpenBSD/fix-kde4-meta-65/:https://ftp.openbsd.org/pub/OpenBSD/6.5/packages/ pkg_add -u kdesdk kde4
>
> If kde4-4.14.3p25 and/or kdesdk-4.14.3p4 was successfully installed you
> can remove dolphin-plugins-4.14.3p1 without pain and install
> dolphin-kf5-18.12.0 and dolphin-plugins-kf5-18.12.0.
>
> Good luck!
>
> RS

Thank you for your interest.

I was able to install your packages and finally dolphin-kf5-18.12.0 and
dolphin-plugins-kf5-18.12.0. I was able to install the konsole-18.12.0p0
package too. Unfortunately they both still don't work!

Below are the errors.

What else I can do?

Thanks.



casa:/home/giannici> pkg_info konsole
Information for inst:konsole-18.12.0p0

Comment:
KDE terminal emulator

Required by:
dolphin-kf5-18.12.0p2

Description:
Konsole is an X terminal emulator for the KDE platform, allowing
users to have a convenient way to use the command line. Aside from
providing a way to use a powerful shell, Konsole also offers features
that make it easier or more pleasurable to work in the command line,
such as profile management, scrollback, and color schemes, including
translucency for effects.

Konsole also provides an embedded KPart terminal which is used by
apps such as Yakuake, Dolphin, and Kate, giving users a consistent
and familiar interface when working in the command line.

Maintainer: Rafael Sadowski <[hidden email]>


casa:/home/giannici> konsole
ld.so: konsole: can't load library 'libc++.so.1.0'
Killed






casa:/home/giannici# pkg_info dolphin-kf5
Information for inst:dolphin-kf5-18.12.0p2

Comment:
KDE File Manager

Required by:
dolphin-plugins-kf5-18.12.0p0

Description:
Dolphin is a lightweight file manager. It has been designed with ease of use
and simplicity in mind, while still allowing flexibility and customisation.
This means that you can do your file management exactly the way you want
to do
it.

Maintainer: Rafael Sadowski <[hidden email]>


casa:/home/giannici# dolphin
dolphin:/usr/local/lib/libattica.so.1.0:
/usr/local/lib/libKF5Attica.so.3.3 : WARNING:
symbol(_ZN6Attica15ProviderManager16staticMetaObjectE) size mismatch,
relink your program
dolphin:/usr/local/lib/libattica.so.1.0:
/usr/local/lib/libKF5Attica.so.3.3 : WARNING:
symbol(_ZN6Attica6PutJob16staticMetaObjectE) size mismatch, relink your
program
dolphin:/usr/local/lib/libattica.so.1.0:
/usr/local/lib/libKF5Attica.so.3.3 : WARNING:
symbol(_ZN6Attica9DeleteJob16staticMetaObjectE) size mismatch, relink
your program
dolphin:/usr/local/lib/libattica.so.1.0:
/usr/local/lib/libKF5Attica.so.3.3 : WARNING:
symbol(_ZN6Attica6GetJob16staticMetaObjectE) size mismatch, relink your
program
dolphin:/usr/local/lib/libattica.so.1.0:
/usr/local/lib/libKF5Attica.so.3.3 : WARNING:
symbol(_ZN6Attica7BaseJob16staticMetaObjectE) size mismatch, relink your
program
dolphin:/usr/local/lib/libattica.so.1.0:
/usr/local/lib/libKF5Attica.so.3.3 : WARNING:
symbol(_ZN6Attica7PostJob16staticMetaObjectE) size mismatch, relink your
program
dolphin:/usr/local/lib/libkcmutils.so.50.2:
/usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
symbol(_ZTV15KPluginSelector) size mismatch, relink your program
dolphin:/usr/local/lib/libkcmutils.so.50.2:
/usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
symbol(_ZTV13KCModuleProxy) size mismatch, relink your program
dolphin:/usr/local/lib/libkcmutils.so.50.2:
/usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
symbol(_ZN13KCModuleProxy16staticMetaObjectE) size mismatch, relink your
program
dolphin:/usr/local/lib/libkcmutils.so.50.2:
/usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
symbol(_ZN17KCModuleContainer16staticMetaObjectE) size mismatch, relink
your program
dolphin:/usr/local/lib/libkcmutils.so.50.2:
/usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
symbol(_ZN9KSettings10PluginPage16staticMetaObjectE) size mismatch,
relink your program
dolphin:/usr/local/lib/libkcmutils.so.50.2:
/usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
symbol(_ZTVN9KSettings6DialogE) size mismatch, relink your program
dolphin:/usr/local/lib/libkcmutils.so.50.2:
/usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
symbol(_ZTVN9KSettings16ComponentsDialogE) size mismatch, relink your
program
dolphin:/usr/local/lib/libkcmutils.so.50.2:
/usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
symbol(_ZN13KCMultiDialog16staticMetaObjectE) size mismatch, relink your
program
dolphin:/usr/local/lib/libkcmutils.so.50.2:
/usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
symbol(_ZTV13KCMultiDialog) size mismatch, relink your program
dolphin:/usr/local/lib/libkcmutils.so.50.2:
/usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
symbol(_ZN9KSettings6Dialog16staticMetaObjectE) size mismatch, relink
your program
dolphin:/usr/local/lib/libkcmutils.so.50.2:
/usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
symbol(_ZN15KPluginSelector16staticMetaObjectE) size mismatch, relink
your program
dolphin:/usr/local/lib/libkcmutils.so.50.2:
/usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
symbol(_ZTV17KCModuleContainer) size mismatch, relink your program
dolphin:/usr/local/lib/libkcmutils.so.50.2:
/usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
symbol(_ZN9KSettings16ComponentsDialog16staticMetaObjectE) size
mismatch, relink your program
dolphin:/usr/local/lib/libkcmutils.so.50.2:
/usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
symbol(_ZTVN9KSettings10PluginPageE) size mismatch, relink your program
dolphin:/usr/local/lib/qt4/libQtOpenGL.so.7.0:
/usr/local/lib/libQt5Gui.so.2.2 : WARNING:
symbol(_ZTV18QTextureGlyphCache) size mismatch, relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon22ObjectDescriptionModelILNS_21ObjectDescriptionTypeE5EE16staticMetaObjectE)
size mismatch, relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZTVN6Phonon12VolumeSliderE) size mismatch, relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon22ObjectDescriptionModelILNS_21ObjectDescriptionTypeE1EE16staticMetaObjectE)
size mismatch, relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon22ObjectDescriptionModelILNS_21ObjectDescriptionTypeE3EE16staticMetaObjectE)
size mismatch, relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon11VideoPlayer16staticMetaObjectE) size mismatch, relink
your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon15AudioDataOutput16staticMetaObjectE) size mismatch,
relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon11PulseStream16staticMetaObjectE) size mismatch, relink
your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon10SeekSlider16staticMetaObjectE) size mismatch, relink
your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon11VideoWidget16staticMetaObjectE) size mismatch, relink
your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZTVN6Phonon12EffectWidgetE) size mismatch, relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon22ObjectDescriptionModelILNS_21ObjectDescriptionTypeE4EE16staticMetaObjectE)
size mismatch, relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon22ObjectDescriptionModelILNS_21ObjectDescriptionTypeE2EE16staticMetaObjectE)
size mismatch, relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon17VolumeFaderEffect16staticMetaObjectE) size mismatch,
relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon12PulseSupport16staticMetaObjectE) size mismatch,
relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon12EffectWidget16staticMetaObjectE) size mismatch,
relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon12VolumeSlider16staticMetaObjectE) size mismatch,
relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon11MediaObject16staticMetaObjectE) size mismatch, relink
your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZTVN6Phonon10SeekSliderE) size mismatch, relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZTVN6Phonon11VideoWidgetE) size mismatch, relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon19AbstractMediaStream16staticMetaObjectE) size
mismatch, relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon22ObjectDescriptionModelILNS_21ObjectDescriptionTypeE0EE16staticMetaObjectE)
size mismatch, relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZTVN6Phonon11VideoPlayerE) size mismatch, relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon19AbstractAudioOutput16staticMetaObjectE) size
mismatch, relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon6Effect16staticMetaObjectE) size mismatch, relink your
program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon15MediaController16staticMetaObjectE) size mismatch,
relink your program
dolphin:/usr/local/lib/libphonon_s.so.3.0:
/usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
symbol(_ZN6Phonon11AudioOutput16staticMetaObjectE) size mismatch, relink
your program
dolphin:/usr/local/lib/qt4/libQtDeclarative.so.0.0:
/usr/local/lib/libQt5Core.so.2.2 : WARNING:
symbol(_ZTI26QAbstractDynamicMetaObject) size mismatch, relink your program
dolphin:/usr/local/lib/qt4/libQtDeclarative.so.0.0:
/usr/local/lib/libQt5Widgets.so.2.2 : WARNING:
symbol(_ZTV20QGraphicsViewPrivate) size mismatch, relink your program
dolphin:/usr/local/lib/qt4/libQtDeclarative.so.0.0:
/usr/local/lib/libQt5Core.so.2.2 : WARNING:
symbol(_ZTV26QAbstractDynamicMetaObject) size mismatch, relink your program
dolphin:/usr/local/lib/libsolid.so.50.2:
/usr/local/lib/libKF5Solid.so.5.4 : WARNING:
symbol(_ZN5Solid13StorageAccess16staticMetaObjectE) size mismatch,
relink your program
dolphin:/usr/local/lib/libsolid.so.50.2:
/usr/local/lib/libKF5Solid.so.5.4 : WARNING:
symbol(_ZN5Solid9Processor16staticMetaObjectE) size mismatch, relink
your program
dolphin:/usr/local/lib/libsolid.so.50.2:
/usr/local/lib/libKF5Solid.so.5.4 : WARNING:
symbol(_ZN5Solid19PortableMediaPlayer16staticMetaObjectE) size mismatch,
relink your program

[...... many more errors ....]

dolphin:/usr/local/lib/libkfile.so.50.2:
/usr/local/lib/libKF5KIOFileWidgets.so.5.3 : WARNING:
symbol(_ZTV24KDirSortFilterProxyModel) size mismatch, relink your program
dolphin:/usr/local/lib/libkonq.so.51.0:
/usr/local/lib/libdolphinvcs.so.0.1 : WARNING:
symbol(_ZTV21KVersionControlPlugin) size mismatch, relink your program
dolphin:/usr/local/lib/libkonq.so.51.0:
/usr/local/lib/libdolphinvcs.so.0.1 : WARNING:
symbol(_ZN21KVersionControlPlugin16staticMetaObjectE) size mismatch,
relink your program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libQt5Core.so.2.2 : WARNING:
symbol(_ZN7QObject16staticMetaObjectE) size mismatch, relink your program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libQt5Widgets.so.2.2 : WARNING:
symbol(_ZN7QAction16staticMetaObjectE) size mismatch, relink your program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libQt5Widgets.so.2.2 : WARNING:
symbol(_ZN19QAbstractScrollArea16staticMetaObjectE) size mismatch,
relink your program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libQt5Widgets.so.2.2 : WARNING:
symbol(_ZN15QGraphicsWidget16staticMetaObjectE) size mismatch, relink
your program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libKF5KIOWidgets.so.5.3 : WARNING:
symbol(_ZN10KDirLister16staticMetaObjectE) size mismatch, relink your
program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libKF5TextWidgets.so.4.2 : WARNING:
symbol(_ZN9KTextEdit16staticMetaObjectE) size mismatch, relink your program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libKF5KIOCore.so.5.3 : WARNING:
symbol(_ZN3KIO3Job16staticMetaObjectE) size mismatch, relink your program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libQt5Widgets.so.2.2 : WARNING:
symbol(_ZN7QWidget16staticMetaObjectE) size mismatch, relink your program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libQt5Core.so.2.2 : WARNING:
symbol(_ZN7QThread16staticMetaObjectE) size mismatch, relink your program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libKF5KIOFileWidgets.so.5.3 : WARNING:
symbol(_ZN12KNewFileMenu16staticMetaObjectE) size mismatch, relink your
program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libdolphinvcs.so.0.1 : WARNING:
symbol(_ZN21KVersionControlPlugin16staticMetaObjectE) size mismatch,
relink your program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libQt5Core.so.2.2 : WARNING:
symbol(_ZN18QPropertyAnimation16staticMetaObjectE) size mismatch, relink
your program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libKF5WidgetsAddons.so.4.3 : WARNING:
symbol(_ZN11KActionMenu16staticMetaObjectE) size mismatch, relink your
program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libQt5Core.so.2.2 : WARNING:
symbol(_ZN9QListData11shared_nullE) size mismatch, relink your program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libQt5Core.so.2.2 : WARNING:
symbol(_ZN9QHashData11shared_nullE) size mismatch, relink your program
dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
/usr/local/lib/libQt5Widgets.so.2.2 : WARNING:
symbol(_ZN13QGraphicsView16staticMetaObjectE) size mismatch, relink your
program
dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
'_ZN11DolphinView12tabRequestedERK4QUrl'
dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
'_ZN11DolphinView12urlActivatedERK4QUrl'
dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
'_ZN11DolphinView18requestContextMenuERK6QPointRK9KFileItemRK4QUrlRK5QListIP7QActionE'
dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
'_ZN24DolphinViewActionHandler24createDirectoryTriggeredEv'
dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
'_ZN28MiddleClickActionEventFilter16staticMetaObjectE'
dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
'_ZN28MiddleClickActionEventFilter19actionMiddleClickedEP7QAction'
dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
'_ZN11DolphinView10urlChangedERK4QUrl'
dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
'_ZN11DolphinView11redirectionERK4QUrlS2_'
dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
'_ZN11DolphinView14urlIsFileErrorERK4QUrl'
dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
'_ZN11DolphinView25toggleActiveViewRequestedEv'
dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
'_ZN23KStandardItemListWidget5eventEP6QEvent'
dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
'_ZN23KStandardItemListWidget5eventEP6QEvent'
dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
'_ZNK14KItemModelBase3urlEi'
dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
'_ZNK14KItemModelBase9directoryEv'
dolphin(49958) in free(): bogus pointer (double free?) 0x1fedb10f330
Abort

Reply | Threaded
Open this post in threaded view
|

Re: No more KDE's dolphin after upgrade to 6.5

Stuart Henderson
In reply to this post by Rafael Sadowski
On 2019-04-26, Rafael Sadowski <[hidden email]> wrote:

> On Thu Apr 25, 2019 at 01:34:24PM +0200, Federico Giannici wrote:
>> Similarly to konsole, KDE's dolphin no longer works too after upgrade of
>> amd64 from 6.4 to 6.5.
>>
>> It seems that dolphin was switched to KF5 too, ma I wasn't able to install
>> the new package:
>>
>> casa:/home/giannici# pkg_add dolphin-kf5
>> quirks-3.124 signed on 2019-04-15T12:10:16Z
>> Can't install dolphin-kf5-18.12.0p2 because of conflicts
>> (dolphin-plugins-4.14.3p1)
>> --- dolphin-kf5-18.12.0p2 -------------------
>> Can't install dolphin-kf5-18.12.0p2: conflicts
>> Couldn't install dolphin-kf5-18.12.0p2
>>
>> I cannot remove dolphin-plugins-4.14.3p1 because kdesdk depends on it, and
>> kde4 depends on kdesdk:
>>
>> casa:/home/giannici# pkg_delete dolphin-plugins
>> can't delete dolphin-plugins-4.14.3p1 without deleting kdesdk-4.14.3p3
>> Delete them as well ? [y/N/a]
>>
>> casa:/home/giannici# pkg_delete kdesdk
>> can't delete kdesdk-4.14.3p3 without deleting kde4-4.14.3p23
>> Delete them as well ? [y/N/a]
>>
>>
>> Without dolphin and konsole it's really hard to comfortably use KDE. So,
>> please can anybody tell me what is the supposed way to use dolphin (and
>> konsole) with OpenBSD 6.5?
>>
>> Thanks.
>>
>
> That was a hidden run-time dependency in the KDE4/KDESDK meta package.
> I fixed this issue in -current ports tree. For -release I hope I can
> help with a non official -- use at own risk -- workaround:
>
> Use my own kde4-4.14.3p25 and kdesdk-4.14.3p4 packages:
> env TRUSTED_PKG_PATH=https://sizeofvoid.org/pub/OpenBSD/fix-kde4-meta-65/:https://ftp.openbsd.org/pub/OpenBSD/6.5/packages/ pkg_add -u kdesdk kde4
>
> If kde4-4.14.3p25 and/or kdesdk-4.14.3p4 was successfully installed you
> can remove dolphin-plugins-4.14.3p1 without pain and install
> dolphin-kf5-18.12.0 and dolphin-plugins-kf5-18.12.0.
>
> Good luck!
>
> RS
>
>

Or if you don't need kdesdk, you can just "pkg_delete dolphin-plugins kdesdk kde4"
(kde4/kdesdk are "meta packages", that only exist to pull in other dependencies
easliy - uninstalling them does not uninstall the depedent packages).


Reply | Threaded
Open this post in threaded view
|

Re: No more KDE's dolphin after upgrade to 6.5

Rafael Sadowski
In reply to this post by Federico Giannici
On Fri Apr 26, 2019 at 05:47:11PM +0200, Federico Giannici wrote:

> On 4/26/19 4:10 PM, Rafael Sadowski wrote:
> > On Thu Apr 25, 2019 at 01:34:24PM +0200, Federico Giannici wrote:
> > > Similarly to konsole, KDE's dolphin no longer works too after upgrade of
> > > amd64 from 6.4 to 6.5.
> > >
> > > It seems that dolphin was switched to KF5 too, ma I wasn't able to install
> > > the new package:
> > >
> > > casa:/home/giannici# pkg_add dolphin-kf5
> > > quirks-3.124 signed on 2019-04-15T12:10:16Z
> > > Can't install dolphin-kf5-18.12.0p2 because of conflicts
> > > (dolphin-plugins-4.14.3p1)
> > > --- dolphin-kf5-18.12.0p2 -------------------
> > > Can't install dolphin-kf5-18.12.0p2: conflicts
> > > Couldn't install dolphin-kf5-18.12.0p2
> > >
> > > I cannot remove dolphin-plugins-4.14.3p1 because kdesdk depends on it, and
> > > kde4 depends on kdesdk:
> > >
> > > casa:/home/giannici# pkg_delete dolphin-plugins
> > > can't delete dolphin-plugins-4.14.3p1 without deleting kdesdk-4.14.3p3
> > > Delete them as well ? [y/N/a]
> > >
> > > casa:/home/giannici# pkg_delete kdesdk
> > > can't delete kdesdk-4.14.3p3 without deleting kde4-4.14.3p23
> > > Delete them as well ? [y/N/a]
> > >
> > >
> > > Without dolphin and konsole it's really hard to comfortably use KDE. So,
> > > please can anybody tell me what is the supposed way to use dolphin (and
> > > konsole) with OpenBSD 6.5?
> > >
> > > Thanks.
> > >
> >
> > That was a hidden run-time dependency in the KDE4/KDESDK meta package.
> > I fixed this issue in -current ports tree. For -release I hope I can
> > help with a non official -- use at own risk -- workaround:
> >
> > Use my own kde4-4.14.3p25 and kdesdk-4.14.3p4 packages:
> > env TRUSTED_PKG_PATH=https://sizeofvoid.org/pub/OpenBSD/fix-kde4-meta-65/:https://ftp.openbsd.org/pub/OpenBSD/6.5/packages/ pkg_add -u kdesdk kde4
> >
> > If kde4-4.14.3p25 and/or kdesdk-4.14.3p4 was successfully installed you
> > can remove dolphin-plugins-4.14.3p1 without pain and install
> > dolphin-kf5-18.12.0 and dolphin-plugins-kf5-18.12.0.
> >
> > Good luck!
> >
> > RS
>
> Thank you for your interest.
>
> I was able to install your packages and finally dolphin-kf5-18.12.0 and
> dolphin-plugins-kf5-18.12.0. I was able to install the konsole-18.12.0p0
> package too. Unfortunately they both still don't work!
>
> Below are the errors.
>
> What else I can do?
>
> Thanks.
>
>
>
> casa:/home/giannici> pkg_info konsole
> Information for inst:konsole-18.12.0p0
>
> Comment:
> KDE terminal emulator
>
> Required by:
> dolphin-kf5-18.12.0p2
>
> Description:
> Konsole is an X terminal emulator for the KDE platform, allowing
> users to have a convenient way to use the command line. Aside from
> providing a way to use a powerful shell, Konsole also offers features
> that make it easier or more pleasurable to work in the command line,
> such as profile management, scrollback, and color schemes, including
> translucency for effects.
>
> Konsole also provides an embedded KPart terminal which is used by
> apps such as Yakuake, Dolphin, and Kate, giving users a consistent
> and familiar interface when working in the command line.
>
> Maintainer: Rafael Sadowski <[hidden email]>
>
>
> casa:/home/giannici> konsole
> ld.so: konsole: can't load library 'libc++.so.1.0'
> Killed
>
>
>
>
>
>
> casa:/home/giannici# pkg_info dolphin-kf5
> Information for inst:dolphin-kf5-18.12.0p2
>
> Comment:
> KDE File Manager
>
> Required by:
> dolphin-plugins-kf5-18.12.0p0
>
> Description:
> Dolphin is a lightweight file manager. It has been designed with ease of use
> and simplicity in mind, while still allowing flexibility and customisation.
> This means that you can do your file management exactly the way you want to
> do
> it.
>
> Maintainer: Rafael Sadowski <[hidden email]>
>
>
> casa:/home/giannici# dolphin
> dolphin:/usr/local/lib/libattica.so.1.0: /usr/local/lib/libKF5Attica.so.3.3
> : WARNING: symbol(_ZN6Attica15ProviderManager16staticMetaObjectE) size
> mismatch, relink your program
> dolphin:/usr/local/lib/libattica.so.1.0: /usr/local/lib/libKF5Attica.so.3.3
> : WARNING: symbol(_ZN6Attica6PutJob16staticMetaObjectE) size mismatch,
> relink your program
> dolphin:/usr/local/lib/libattica.so.1.0: /usr/local/lib/libKF5Attica.so.3.3
> : WARNING: symbol(_ZN6Attica9DeleteJob16staticMetaObjectE) size mismatch,
> relink your program
> dolphin:/usr/local/lib/libattica.so.1.0: /usr/local/lib/libKF5Attica.so.3.3
> : WARNING: symbol(_ZN6Attica6GetJob16staticMetaObjectE) size mismatch,
> relink your program
> dolphin:/usr/local/lib/libattica.so.1.0: /usr/local/lib/libKF5Attica.so.3.3
> : WARNING: symbol(_ZN6Attica7BaseJob16staticMetaObjectE) size mismatch,
> relink your program
> dolphin:/usr/local/lib/libattica.so.1.0: /usr/local/lib/libKF5Attica.so.3.3
> : WARNING: symbol(_ZN6Attica7PostJob16staticMetaObjectE) size mismatch,
> relink your program
> dolphin:/usr/local/lib/libkcmutils.so.50.2:
> /usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
> symbol(_ZTV15KPluginSelector) size mismatch, relink your program
> dolphin:/usr/local/lib/libkcmutils.so.50.2:
> /usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING: symbol(_ZTV13KCModuleProxy)
> size mismatch, relink your program
> dolphin:/usr/local/lib/libkcmutils.so.50.2:
> /usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
> symbol(_ZN13KCModuleProxy16staticMetaObjectE) size mismatch, relink your
> program
> dolphin:/usr/local/lib/libkcmutils.so.50.2:
> /usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
> symbol(_ZN17KCModuleContainer16staticMetaObjectE) size mismatch, relink your
> program
> dolphin:/usr/local/lib/libkcmutils.so.50.2:
> /usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
> symbol(_ZN9KSettings10PluginPage16staticMetaObjectE) size mismatch, relink
> your program
> dolphin:/usr/local/lib/libkcmutils.so.50.2:
> /usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
> symbol(_ZTVN9KSettings6DialogE) size mismatch, relink your program
> dolphin:/usr/local/lib/libkcmutils.so.50.2:
> /usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
> symbol(_ZTVN9KSettings16ComponentsDialogE) size mismatch, relink your
> program
> dolphin:/usr/local/lib/libkcmutils.so.50.2:
> /usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
> symbol(_ZN13KCMultiDialog16staticMetaObjectE) size mismatch, relink your
> program
> dolphin:/usr/local/lib/libkcmutils.so.50.2:
> /usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING: symbol(_ZTV13KCMultiDialog)
> size mismatch, relink your program
> dolphin:/usr/local/lib/libkcmutils.so.50.2:
> /usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
> symbol(_ZN9KSettings6Dialog16staticMetaObjectE) size mismatch, relink your
> program
> dolphin:/usr/local/lib/libkcmutils.so.50.2:
> /usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
> symbol(_ZN15KPluginSelector16staticMetaObjectE) size mismatch, relink your
> program
> dolphin:/usr/local/lib/libkcmutils.so.50.2:
> /usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
> symbol(_ZTV17KCModuleContainer) size mismatch, relink your program
> dolphin:/usr/local/lib/libkcmutils.so.50.2:
> /usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
> symbol(_ZN9KSettings16ComponentsDialog16staticMetaObjectE) size mismatch,
> relink your program
> dolphin:/usr/local/lib/libkcmutils.so.50.2:
> /usr/local/lib/libKF5KCMUtils.so.4.3 : WARNING:
> symbol(_ZTVN9KSettings10PluginPageE) size mismatch, relink your program
> dolphin:/usr/local/lib/qt4/libQtOpenGL.so.7.0:
> /usr/local/lib/libQt5Gui.so.2.2 : WARNING: symbol(_ZTV18QTextureGlyphCache)
> size mismatch, relink your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING: symbol(_ZN6Phonon22ObjectDescriptionModelILNS_21ObjectDescriptionTypeE5EE16staticMetaObjectE)
> size mismatch, relink your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZTVN6Phonon12VolumeSliderE) size mismatch, relink your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING: symbol(_ZN6Phonon22ObjectDescriptionModelILNS_21ObjectDescriptionTypeE1EE16staticMetaObjectE)
> size mismatch, relink your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING: symbol(_ZN6Phonon22ObjectDescriptionModelILNS_21ObjectDescriptionTypeE3EE16staticMetaObjectE)
> size mismatch, relink your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZN6Phonon11VideoPlayer16staticMetaObjectE) size mismatch, relink
> your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZN6Phonon15AudioDataOutput16staticMetaObjectE) size mismatch, relink
> your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZN6Phonon11PulseStream16staticMetaObjectE) size mismatch, relink
> your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZN6Phonon10SeekSlider16staticMetaObjectE) size mismatch, relink your
> program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZN6Phonon11VideoWidget16staticMetaObjectE) size mismatch, relink
> your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZTVN6Phonon12EffectWidgetE) size mismatch, relink your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING: symbol(_ZN6Phonon22ObjectDescriptionModelILNS_21ObjectDescriptionTypeE4EE16staticMetaObjectE)
> size mismatch, relink your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING: symbol(_ZN6Phonon22ObjectDescriptionModelILNS_21ObjectDescriptionTypeE2EE16staticMetaObjectE)
> size mismatch, relink your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZN6Phonon17VolumeFaderEffect16staticMetaObjectE) size mismatch,
> relink your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZN6Phonon12PulseSupport16staticMetaObjectE) size mismatch, relink
> your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZN6Phonon12EffectWidget16staticMetaObjectE) size mismatch, relink
> your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZN6Phonon12VolumeSlider16staticMetaObjectE) size mismatch, relink
> your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZN6Phonon11MediaObject16staticMetaObjectE) size mismatch, relink
> your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZTVN6Phonon10SeekSliderE) size mismatch, relink your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZTVN6Phonon11VideoWidgetE) size mismatch, relink your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZN6Phonon19AbstractMediaStream16staticMetaObjectE) size mismatch,
> relink your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING: symbol(_ZN6Phonon22ObjectDescriptionModelILNS_21ObjectDescriptionTypeE0EE16staticMetaObjectE)
> size mismatch, relink your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZTVN6Phonon11VideoPlayerE) size mismatch, relink your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZN6Phonon19AbstractAudioOutput16staticMetaObjectE) size mismatch,
> relink your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZN6Phonon6Effect16staticMetaObjectE) size mismatch, relink your
> program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZN6Phonon15MediaController16staticMetaObjectE) size mismatch, relink
> your program
> dolphin:/usr/local/lib/libphonon_s.so.3.0:
> /usr/local/lib/libphonon4qt5.so.2.0 : WARNING:
> symbol(_ZN6Phonon11AudioOutput16staticMetaObjectE) size mismatch, relink
> your program
> dolphin:/usr/local/lib/qt4/libQtDeclarative.so.0.0:
> /usr/local/lib/libQt5Core.so.2.2 : WARNING:
> symbol(_ZTI26QAbstractDynamicMetaObject) size mismatch, relink your program
> dolphin:/usr/local/lib/qt4/libQtDeclarative.so.0.0:
> /usr/local/lib/libQt5Widgets.so.2.2 : WARNING:
> symbol(_ZTV20QGraphicsViewPrivate) size mismatch, relink your program
> dolphin:/usr/local/lib/qt4/libQtDeclarative.so.0.0:
> /usr/local/lib/libQt5Core.so.2.2 : WARNING:
> symbol(_ZTV26QAbstractDynamicMetaObject) size mismatch, relink your program
> dolphin:/usr/local/lib/libsolid.so.50.2: /usr/local/lib/libKF5Solid.so.5.4 :
> WARNING: symbol(_ZN5Solid13StorageAccess16staticMetaObjectE) size mismatch,
> relink your program
> dolphin:/usr/local/lib/libsolid.so.50.2: /usr/local/lib/libKF5Solid.so.5.4 :
> WARNING: symbol(_ZN5Solid9Processor16staticMetaObjectE) size mismatch,
> relink your program
> dolphin:/usr/local/lib/libsolid.so.50.2: /usr/local/lib/libKF5Solid.so.5.4 :
> WARNING: symbol(_ZN5Solid19PortableMediaPlayer16staticMetaObjectE) size
> mismatch, relink your program
>
> [...... many more errors ....]
>
> dolphin:/usr/local/lib/libkfile.so.50.2:
> /usr/local/lib/libKF5KIOFileWidgets.so.5.3 : WARNING:
> symbol(_ZTV24KDirSortFilterProxyModel) size mismatch, relink your program
> dolphin:/usr/local/lib/libkonq.so.51.0: /usr/local/lib/libdolphinvcs.so.0.1
> : WARNING: symbol(_ZTV21KVersionControlPlugin) size mismatch, relink your
> program
> dolphin:/usr/local/lib/libkonq.so.51.0: /usr/local/lib/libdolphinvcs.so.0.1
> : WARNING: symbol(_ZN21KVersionControlPlugin16staticMetaObjectE) size
> mismatch, relink your program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libQt5Core.so.2.2 : WARNING:
> symbol(_ZN7QObject16staticMetaObjectE) size mismatch, relink your program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libQt5Widgets.so.2.2 : WARNING:
> symbol(_ZN7QAction16staticMetaObjectE) size mismatch, relink your program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libQt5Widgets.so.2.2 : WARNING:
> symbol(_ZN19QAbstractScrollArea16staticMetaObjectE) size mismatch, relink
> your program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libQt5Widgets.so.2.2 : WARNING:
> symbol(_ZN15QGraphicsWidget16staticMetaObjectE) size mismatch, relink your
> program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libKF5KIOWidgets.so.5.3 : WARNING:
> symbol(_ZN10KDirLister16staticMetaObjectE) size mismatch, relink your
> program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libKF5TextWidgets.so.4.2 : WARNING:
> symbol(_ZN9KTextEdit16staticMetaObjectE) size mismatch, relink your program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libKF5KIOCore.so.5.3 : WARNING:
> symbol(_ZN3KIO3Job16staticMetaObjectE) size mismatch, relink your program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libQt5Widgets.so.2.2 : WARNING:
> symbol(_ZN7QWidget16staticMetaObjectE) size mismatch, relink your program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libQt5Core.so.2.2 : WARNING:
> symbol(_ZN7QThread16staticMetaObjectE) size mismatch, relink your program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libKF5KIOFileWidgets.so.5.3 : WARNING:
> symbol(_ZN12KNewFileMenu16staticMetaObjectE) size mismatch, relink your
> program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libdolphinvcs.so.0.1 : WARNING:
> symbol(_ZN21KVersionControlPlugin16staticMetaObjectE) size mismatch, relink
> your program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libQt5Core.so.2.2 : WARNING:
> symbol(_ZN18QPropertyAnimation16staticMetaObjectE) size mismatch, relink
> your program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libKF5WidgetsAddons.so.4.3 : WARNING:
> symbol(_ZN11KActionMenu16staticMetaObjectE) size mismatch, relink your
> program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libQt5Core.so.2.2 : WARNING:
> symbol(_ZN9QListData11shared_nullE) size mismatch, relink your program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libQt5Core.so.2.2 : WARNING:
> symbol(_ZN9QHashData11shared_nullE) size mismatch, relink your program
> dolphin:/usr/local/lib/libdolphinprivate.so.51.0:
> /usr/local/lib/libQt5Widgets.so.2.2 : WARNING:
> symbol(_ZN13QGraphicsView16staticMetaObjectE) size mismatch, relink your
> program
> dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
> '_ZN11DolphinView12tabRequestedERK4QUrl'
> dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
> '_ZN11DolphinView12urlActivatedERK4QUrl'
> dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol '_ZN11DolphinView18requestContextMenuERK6QPointRK9KFileItemRK4QUrlRK5QListIP7QActionE'
> dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
> '_ZN24DolphinViewActionHandler24createDirectoryTriggeredEv'
> dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
> '_ZN28MiddleClickActionEventFilter16staticMetaObjectE'
> dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
> '_ZN28MiddleClickActionEventFilter19actionMiddleClickedEP7QAction'
> dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
> '_ZN11DolphinView10urlChangedERK4QUrl'
> dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
> '_ZN11DolphinView11redirectionERK4QUrlS2_'
> dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
> '_ZN11DolphinView14urlIsFileErrorERK4QUrl'
> dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
> '_ZN11DolphinView25toggleActiveViewRequestedEv'
> dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
> '_ZN23KStandardItemListWidget5eventEP6QEvent'
> dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
> '_ZN23KStandardItemListWidget5eventEP6QEvent'
> dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
> '_ZNK14KItemModelBase3urlEi'
> dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
> '_ZNK14KItemModelBase9directoryEv'
> dolphin(49958) in free(): bogus pointer (double free?) 0x1fedb10f330
> Abort
>

I think something failed on your last update. You can try out out to
update all packages with the following PKG_PATH example:

env PKG_PATH=https://ftp.openbsd.org/pub/OpenBSD/6.5/packages/ pkg_add -u -v -Dinstalled

It looks like you mixed packages for 6.4 and 6.5 and/or -current.
Another try: run "pkg_add -X" to remove all your installed packages and
install step by step what you need!

RS

Reply | Threaded
Open this post in threaded view
|

Re: No more KDE's dolphin after upgrade to 6.5

Luke Call
On 04-26 21:47, Rafael Sadowski wrote:
> [....]
> update all packages with the following PKG_PATH example:
>
> env PKG_PATH=https://ftp.openbsd.org/pub/OpenBSD/6.5/packages/ pkg_add -u -v -Dinstalled
>
> It looks like you mixed packages for 6.4 and 6.5 and/or -current.

I had to run a pkg_add command equivalent to that, to get mutt and sox play
to run.  This happened when I upgraded to 6.4 as well, with libreoffice,
that not everything required was updated somehow, with just pkg_add -u.

- -
Things I want to tell people: Free & open personal organizer software,
& thoughts on subjects that I consider important (updated 2019-03-18):
http://lukecall.net 

Reply | Threaded
Open this post in threaded view
|

Re: No more KDE's dolphin after upgrade to 6.5

ropers
In reply to this post by Rafael Sadowski
On 26/04/2019, Rafael Sadowski <[hidden email]> wrote:
> run "pkg_add -X" to remove all your installed packages

Is -X undocumented for pkg_add(1), or am I overlooking something?

Reply | Threaded
Open this post in threaded view
|

Re: No more KDE's dolphin after upgrade to 6.5

Stuart Henderson
In reply to this post by Federico Giannici
On 2019-04-26, Federico Giannici <[hidden email]> wrote:
>
> casa:/home/giannici> konsole
> ld.so: konsole: can't load library 'libc++.so.1.0'
> Killed

Running that with LD_DEBUG set in the environment might give a clue.
Likely there will be a lot of output, so have plenty of scrollback buffer,
or use script(1). In this case it's pulling in something from OpenBSD 6.3
era.

> casa:/home/giannici# dolphin
> dolphin:/usr/local/lib/libattica.so.1.0:
> /usr/local/lib/libKF5Attica.so.3.3 : WARNING:
> symbol(_ZN6Attica15ProviderManager16staticMetaObjectE) size mismatch,
> relink your program

Same for LD_DEBUG with this. In this case something tries to pull in
kde4 and kf5 versions of attica which conflict.


Reply | Threaded
Open this post in threaded view
|

Re: No more KDE's dolphin after upgrade to 6.5

Stuart Henderson
In reply to this post by Luke Call
On 2019-04-26, Luke A. Call <[hidden email]> wrote:

> On 04-26 21:47, Rafael Sadowski wrote:
>> [....]
>> update all packages with the following PKG_PATH example:
>>
>> env PKG_PATH=https://ftp.openbsd.org/pub/OpenBSD/6.5/packages/ pkg_add -u -v -Dinstalled
>>
>> It looks like you mixed packages for 6.4 and 6.5 and/or -current.
>
> I had to run a pkg_add command equivalent to that, to get mutt and sox play
> to run.  This happened when I upgraded to 6.4 as well, with libreoffice,
> that not everything required was updated somehow, with just pkg_add -u.

You shouldn't have to do that. Proper bug report including output from pkg_add
next time, please..


Reply | Threaded
Open this post in threaded view
|

SOLVED: Re: No more KDE's dolphin after upgrade to 6.5

Federico Giannici
In reply to this post by Rafael Sadowski
On 4/26/19 9:47 PM, Rafael Sadowski wrote:

> On Fri Apr 26, 2019 at 05:47:11PM +0200, Federico Giannici wrote:
>> On 4/26/19 4:10 PM, Rafael Sadowski wrote:
>>> On Thu Apr 25, 2019 at 01:34:24PM +0200, Federico Giannici wrote:
>>>> Similarly to konsole, KDE's dolphin no longer works too after upgrade of
>>>> amd64 from 6.4 to 6.5.
>>>>
>>>> It seems that dolphin was switched to KF5 too, ma I wasn't able to install
>>>> the new package:
>>>>
>>>> casa:/home/giannici# pkg_add dolphin-kf5
>>>> quirks-3.124 signed on 2019-04-15T12:10:16Z
>>>> Can't install dolphin-kf5-18.12.0p2 because of conflicts
>>>> (dolphin-plugins-4.14.3p1)
>>>> --- dolphin-kf5-18.12.0p2 -------------------
>>>> Can't install dolphin-kf5-18.12.0p2: conflicts
>>>> Couldn't install dolphin-kf5-18.12.0p2
>>>>
>>>> I cannot remove dolphin-plugins-4.14.3p1 because kdesdk depends on it, and
>>>> kde4 depends on kdesdk:
>>>>
>>>> casa:/home/giannici# pkg_delete dolphin-plugins
>>>> can't delete dolphin-plugins-4.14.3p1 without deleting kdesdk-4.14.3p3
>>>> Delete them as well ? [y/N/a]
>>>>
>>>> casa:/home/giannici# pkg_delete kdesdk
>>>> can't delete kdesdk-4.14.3p3 without deleting kde4-4.14.3p23
>>>> Delete them as well ? [y/N/a]
>>>>
>>>>
>>>> Without dolphin and konsole it's really hard to comfortably use KDE. So,
>>>> please can anybody tell me what is the supposed way to use dolphin (and
>>>> konsole) with OpenBSD 6.5?
>>>>
>>>> Thanks.
>>>>
>>>
>>> That was a hidden run-time dependency in the KDE4/KDESDK meta package.
>>> I fixed this issue in -current ports tree. For -release I hope I can
>>> help with a non official -- use at own risk -- workaround:
>>>
>>> Use my own kde4-4.14.3p25 and kdesdk-4.14.3p4 packages:
>>> env TRUSTED_PKG_PATH=https://sizeofvoid.org/pub/OpenBSD/fix-kde4-meta-65/:https://ftp.openbsd.org/pub/OpenBSD/6.5/packages/ pkg_add -u kdesdk kde4
>>>
>>> If kde4-4.14.3p25 and/or kdesdk-4.14.3p4 was successfully installed you
>>> can remove dolphin-plugins-4.14.3p1 without pain and install
>>> dolphin-kf5-18.12.0 and dolphin-plugins-kf5-18.12.0.
>>>
>>> Good luck!
>>>
>>> RS
>>
>> Thank you for your interest.
>>
>> I was able to install your packages and finally dolphin-kf5-18.12.0 and
>> dolphin-plugins-kf5-18.12.0. I was able to install the konsole-18.12.0p0
>> package too. Unfortunately they both still don't work!
>>
>> Below are the errors.
>>
>> What else I can do?
>>
>> Thanks.
>>
>>
>>
>> casa:/home/giannici> pkg_info konsole
>> Information for inst:konsole-18.12.0p0
>>
>> Comment:
>> KDE terminal emulator
>>
>> Required by:
>> dolphin-kf5-18.12.0p2
>>
>> Description:
>> Konsole is an X terminal emulator for the KDE platform, allowing
>> users to have a convenient way to use the command line. Aside from
>> providing a way to use a powerful shell, Konsole also offers features
>> that make it easier or more pleasurable to work in the command line,
>> such as profile management, scrollback, and color schemes, including
>> translucency for effects.
>>
>> Konsole also provides an embedded KPart terminal which is used by
>> apps such as Yakuake, Dolphin, and Kate, giving users a consistent
>> and familiar interface when working in the command line.
>>
>> Maintainer: Rafael Sadowski <[hidden email]>
>>
>>
>> casa:/home/giannici> konsole
>> ld.so: konsole: can't load library 'libc++.so.1.0'
>> Killed
>>
>>
>>
>>
>>
>>
>> casa:/home/giannici# pkg_info dolphin-kf5
>> Information for inst:dolphin-kf5-18.12.0p2
>>
>> Comment:
>> KDE File Manager
>>
>> Required by:
>> dolphin-plugins-kf5-18.12.0p0
>>
>> Description:
>> Dolphin is a lightweight file manager. It has been designed with ease of use
>> and simplicity in mind, while still allowing flexibility and customisation.
>> This means that you can do your file management exactly the way you want to
>> do
>> it.
>>
>> Maintainer: Rafael Sadowski <[hidden email]>
>>
>>
>> casa:/home/giannici# dolphin
>> dolphin:/usr/local/lib/libattica.so.1.0: /usr/local/lib/libKF5Attica.so.3.3
>> : WARNING: symbol(_ZN6Attica15ProviderManager16staticMetaObjectE) size
>> mismatch, relink your program

[...]

>> dolphin:/usr/local/lib/libkdeinit5_dolphin.so: undefined symbol
>> '_ZNK14KItemModelBase9directoryEv'
>> dolphin(49958) in free(): bogus pointer (double free?) 0x1fedb10f330
>> Abort
>>
>
> I think something failed on your last update. You can try out out to
> update all packages with the following PKG_PATH example:
>
> env PKG_PATH=https://ftp.openbsd.org/pub/OpenBSD/6.5/packages/ pkg_add -u -v -Dinstalled
>
> It looks like you mixed packages for 6.4 and 6.5 and/or -current.
> Another try: run "pkg_add -X" to remove all your installed packages and
> install step by step what you need!

I tried that but didn't worked.

Anyway I found the problem with both dolphin and konsole: I think it was
caused by the change in version numbering of the "private" libraries.

In my system there were still around the 6.3 libraries (version 51):

-rw-r--r-- 1 root bin 1821661 Oct 12 2018 libdolphinprivate.so.51.0
-rw-r--r-- 1 root bin 1806868 Mar 28 2018 libkonsoleprivate.so.51.0

alongside the new ones, but with "0" version:

-rw-r--r--  1 root  bin  1720320 Apr 15 01:17 libdolphinprivate.so.0.1
-rw-r--r--  1 root  bin  1872672 Apr 14 20:12 libkonsoleprivate.so.0.0

As soon I removed the old ones, both dolphin and konsole worked!

Maybe it could be useful for other users to add a note in the upgrade
guide to 6.5?


Now, I still have some problems with dolphin, but that is another story
that I have to investigate more...

Thanks


Reply | Threaded
Open this post in threaded view
|

GIVE UP: Re: SOLVED: Re: No more KDE's dolphin after upgrade to 6.5

Federico Giannici
On 4/29/19 10:48 AM, Federico Giannici wrote:

> On 4/26/19 9:47 PM, Rafael Sadowski wrote:
>>
>> It looks like you mixed packages for 6.4 and 6.5 and/or -current.
>> Another try: run "pkg_add -X" to remove all your installed packages and
>> install step by step what you need!
>
> I tried that but didn't worked.
>
> Anyway I found the problem with both dolphin and konsole: I think it was
> caused by the change in version numbering of the "private" libraries.
>
> In my system there were still around the 6.3 libraries (version 51):
>
> -rw-r--r-- 1 root bin 1821661 Oct 12 2018 libdolphinprivate.so.51.0
> -rw-r--r-- 1 root bin 1806868 Mar 28 2018 libkonsoleprivate.so.51.0
>
> alongside the new ones, but with "0" version:
>
> -rw-r--r--  1 root  bin  1720320 Apr 15 01:17 libdolphinprivate.so.0.1
> -rw-r--r--  1 root  bin  1872672 Apr 14 20:12 libkonsoleprivate.so.0.0
>
> As soon I removed the old ones, both dolphin and konsole worked!
>
> Maybe it could be useful for other users to add a note in the upgrade
> guide to 6.5?
>
>
> Now, I still have some problems with dolphin, but that is another story
> that I have to investigate more...
>
> Thanks

Anyway, I finally had to give up!

Even if I was then able to run both konsole and dolphin, they were
unusable. Eventually, I have done a complete FRESH NEW Install (no
Upgrade) to 6.5 (amd64), but all problems remained: a lot of kactivities
crashes, dolphin usually starts only once and then usually freezes,
okular randomly freezes too, etc, etc...

I repeat: all this happened with a NEW Installation, even with a FRESH
home directory.

So, I had to do a NEW Installation of 6.4 and now everything work perfectly.

Now the question is: is there something bad in my PC (or in the
installation I have done) or I'm not the only one experiencing this and
there are some problems with the switch to the KDE KF5 apps?

Thanks.